Subject: Re: 26.0.50; Different code behavior between using the auto-compiled and evaled versions

From: Kaushal Modi <[email-masked]>
Date: Thu, 09 Mar 2017 16:31:26 +0000

Hi Vibhav,

This issue seems to be related to the switch bytecode change.

Can you please review it.

The code snippet in
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25941#5 returns
t on emacs 25.2 but nil on emacs master. That is messing up the
avy-goto-line function (avy package).

avy--process does contain the cond form which is affected by the switch
bytecode change.

If I delete the .elc, the issue goes away.

On Fri, Mar 3, 2017 at 7:12 AM Kaushal Modi <[email-masked]> wrote:

> Here's a set of updates that could probably help trace the problem:
>
> - I rebuilt emacs from master using make bootstrap, but the problem
> persists.
> - I see the problem when I do "M-x avy-goto-line 10" but not when I do
> "M-: (avy-goto-line 10)". So the bug triggers only during interactive
> execution?
>
> A workaround for now is to delete the avy.elc file.
>
> Does the avy--process code not work well with the recently byte compiler
> incompatibility in the master branch?
> --
>
> Kaushal Modi
>
-- 

Kaushal Modi